import { renderIcon } from '@/utils/index';
import {
  CheckCircleOutlined,
  DashboardOutlined,
  ExclamationCircleOutlined,
  ProfileOutlined,
  ProjectOutlined,
  SettingOutlined,
  TableOutlined,
  WalletOutlined,
  UserOutlined,
  PayCircleOutlined,
  SafetyCertificateOutlined,
  BellOutlined,
  MailOutlined,
  ToolOutlined,
} from '@vicons/antd';
import {
  DesktopOutline,
  DocumentTextOutline,
  OptionsSharp,
  SettingsOutline,
  Diamond,
  MegaphoneOutline,
  BarChartOutline,
  CellularOutline,
  Refresh,
  HelpCircleOutline,
  TicketOutline,
  ChatboxEllipsesOutline,
  ServerOutline,
  SwapHorizontalOutline,
} from '@vicons/ionicons5';

export const constantRouterIcon = {
  DashboardOutlined: renderIcon(DashboardOutlined),
  SettingsOutline: renderIcon(SettingsOutline),
  OptionsSharp: renderIcon(OptionsSharp),
  TableOutlined: renderIcon(TableOutlined),
  ExclamationCircleOutlined: renderIcon(ExclamationCircleOutlined),
  ProfileOutlined: renderIcon(ProfileOutlined),
  CheckCircleOutlined: renderIcon(CheckCircleOutlined),
  SettingOutlined: renderIcon(SettingOutlined),
  WalletOutlined: renderIcon(WalletOutlined),
  DesktopOutline: renderIcon(DesktopOutline),
  DocumentTextOutline: renderIcon(DocumentTextOutline),
  ProjectOutlined: renderIcon(ProjectOutlined),
  UserOutlined: renderIcon(UserOutlined),
  PayCircleOutlined: renderIcon(PayCircleOutlined),
  Diamond: renderIcon(Diamond),
  MailOutlined: renderIcon(MailOutlined),
  MegaphoneOutline: renderIcon(MegaphoneOutline),
  TicketOutline: renderIcon(TicketOutline),
  BarChartOutline: renderIcon(BarChartOutline),
  CellularOutline: renderIcon(CellularOutline),
  SafetyCertificateOutlined: renderIcon(SafetyCertificateOutlined),
  BellOutlined: renderIcon(BellOutlined),
  Refresh: renderIcon(Refresh),
  ToolOutlined: renderIcon(ToolOutlined),
  HelpCircleOutline: renderIcon(HelpCircleOutline),
  ChatboxEllipsesOutline: renderIcon(ChatboxEllipsesOutline),
  ServerOutline: renderIcon(ServerOutline),
  SwapHorizontalOutline: renderIcon(SwapHorizontalOutline),
};
